Subject: bug#53793: 29.0.50; 'fullscreen' frame parameter on pgtk

From: Augusto Stoffel <[email-masked]>
Date: Thu, 10 Feb 2022 08:43:02 +0100

On Wed,  9 Feb 2022 at 19:25, martin rudalics <[email-masked]> wrote:

> Obviously.  Any such mechanism would have to hook into
> 'move-frame-functions', call 'set-frame-window-state-change' and act
> accordingly the next time 'window-state-change-functions' is run.
>

It's very hard to see that this is the intended usage just from the
documentation, thanks for explaining.

Normally, resizing Emacs is quantized by character, but this assumption
is not always true.  For instance, in Gnome, if I tile Emacs and my web
browser side by side (with S-<left> and S-<right>) and then drag the
boundary between the two windows, the Emacs frame is resized pixel by
pixel (and there are visual glitches, indeed).  So someone might still
one day need want some optimization you describe above for the resize
case as well.  But everything is fine by me.